﻿// <copyright file="NegotiateException.cs" company="David Lawler">
//     David Lawler, Copyright (c) 2010 David Lawler. All rights reserved.
// </copyright>
// <summary> NegotiateException
// </summary>
// <author>  David Lawler, translated from Christian Plattner's ganymed 2.51 beta 1
// </author>
// <version> 0.5.0, 12/17/2010
// </version>

using System;
using System.Diagnostics.CodeAnalysis;

namespace Eunomia.SSH2.Transport
{
    /// <summary>
    /// Custom Exception class for KEX negotiation exceptions.
    /// </summary>
    //// TODO: Implement the other required methods.
    [Serializable]
    [SuppressMessage("Microsoft.Design", "CA1032:ImplementStandardExceptionConstructors",
                    Justification = "TODO: Implement the other required methods.")]
    public class NegotiateException : Exception
    {
    }
}
